/// AdditionalCommentEarthquake コード表
/// （種別：固定付加文）

/// ※移行措置用電文においては、0114, 0115, 0121, 0122, 0123, 0124, 0131, 0132, 0141, 0142, 0143, 0144, 0145, 0146, 0147, 0148, 0149のCodeは記載せず、Textのみ記載する。

// ignore_for_file: lines_longer_than_80_chars

const Map<String, String> additionalCommentEarthquake = <String, String>{
  '0103': '今後もしばらく海面変動が続くと思われます。',
  '0104': '今後もしばらく海面変動が続くと思われますので、海水浴や磯釣り等を行う際は注意してください。',
  '0105': '今後もしばらく海面変動が続くと思われますので、磯釣り等を行う際は注意してください。',
  '0107': '現在、大津波警報・津波警報・津波注意報を発表している沿岸はありません。',
  '0109': '津波と満潮が重なると、津波はより高くなりますので一層厳重な警戒が必要です。',
  '0110': '津波と満潮が重なると、津波はより高くなりますので十分な注意が必要です。',
  '0111': '場所によっては、観測した津波の高さよりさらに大きな津波が到達しているおそれがあります。',
  '0112': '今後、津波の高さは更に高くなることも考えられます。',
  '0113': '沖合での観測値をもとに津波が推定されている沿岸では、早いところでは、既に津波が到達していると推定されます。',
  '0114': '津波による潮位変化が観測されてから最大波が観測されるまでに数時間以上かかることがあります。',
  '0115': '沖合での観測値であり、沿岸では津波はさらに高くなります。',
  '0121': '''＜大津波警報＞
大きな津波が襲い甚大な被害が発生します。
沿岸部や川沿いにいる人はただちに高台や避難ビルなど安全な場所へ避難してください。
津波は繰り返し襲ってきます。警報が解除されるまで安全な場所から離れないでください。''',
  '0122': '''＜津波警報＞
津波による被害が発生します。
沿岸部や川沿いにいる人はただちに高台や避難ビルなど安全な場所へ避難してください。
津波は繰り返し襲ってきます。警報が解除されるまで安全な場所から離れないでください。''',
  '0123': '''＜津波注意報＞
海の中や海岸付近は危険です。
海の中にいる人はただちに海から上がって、海岸から離れてください。
潮の流れが速い状態が続きますので、注意報が解除されるまで海に入ったり海岸に近づいたりしないようにしてください。''',
  '0124': '''＜津波予報（若干の海面変動）＞
若干の海面変動が予想されますが、被害の心配はありません。''',
  '0131': '''警報が発表された沿岸部や川沿いにいる人はただちに高台や避難ビルなど安全な場所へ避難してください。
到達予想時刻は、予報区のなかで最も早く津波が到達する時刻です。場所によっては、この時刻よりもかなり遅れて津波が襲ってくることがあります。
到達予想時刻から津波が最も高くなるまでに数時間以上かかることがありますので、観測された津波の高さにかかわらず、警報が解除されるまで安全な場所から離れないでください。''',
  '0132': '場所によっては津波の高さが「予想される津波の高さ」より高くなる可能性があります。',
  '0141': '東日本大震災クラスの津波が来襲します。',
  '0142': '沖合で高い津波を観測したため大津波警報・津波警報に切り替えました。',
  '0143': '沖合で高い津波を観測したため大津波警報・津波警報を切り替えました。',
  '0144': '沖合で高い津波を観測したため大津波警報に切り替えました。',
  '0145': '沖合で高い津波を観測したため大津波警報を切り替えました。',
  '0146': '沖合で高い津波を観測したため津波警報に切り替えました。',
  '0147': '沖合で高い津波を観測したため津波警報を切り替えました。',
  '0148': '沖合で高い津波を観測したため予想される津波の高さを切り替えました。',
  '0149': 'ただちに避難してください。',
  '0201': '強い揺れに警戒してください。',
  '0211': '津波警報等（大津波警報・津波警報あるいは津波注意報）を発表中です。',
  '0212': 'この地震により、日本の沿岸では若干の海面変動があるかもしれませんが、被害の心配はありません。',
  '0213': '今後もしばらく海面変動が続くと思われますので、海水浴や磯釣り等を行う際は注意してください。',
  '0214': '今後もしばらく海面変動が続くと思われますので、磯釣り等を行う際は注意してください。',
  '0215': 'この地震による津波の心配はありません。',
  '0216': '震源が海底の場合、津波が発生するおそれがあります。',
  '0217': '今後の情報に注意してください。',
  '0221': '太平洋の広域に津波発生の可能性があります。',
  '0222': '太平洋で津波発生の可能性があります。',
  '0223': '北西太平洋で津波発生の可能性があります。',
  '0224': 'インド洋の広域に津波発生の可能性があります。',
  '0225': 'インド洋で津波発生の可能性があります。',
  '0226': '震源の近傍で津波発生の可能性があります。',
  '0227': '震源の近傍で小さな津波発生の可能性がありますが、被害をもたらす津波の心配はありません。',
  '0228': '一般的に、この規模の地震が海域の浅い領域で発生すると、津波が発生することがあります。',
  '0229': '日本への津波の有無については現在調査中です。',
  '0230': 'この地震による日本への津波の影響はありません。',
  '0241': 'この地震について、緊急地震速報を発表しています。',
  '0242': 'この地震について、緊急地震速報を発表しています。この地震の最大震度は２でした。',
  '0243': 'この地震について、緊急地震速報を発表しています。この地震の最大震度は１でした。',
  '0244': 'この地震について、緊急地震速報を発表しています。この地震で震度１以上は観測されていません。',
  '0245': 'この地震で緊急地震速報を発表しましたが、強い揺れは観測されませんでした。',
  '0256': '震源要素を訂正します。',
  '0262': '＊印は気象庁以外の震度観測点についての情報です。',
};
